2009年9月23日

[vine-users:079686] Re: vine 5.0 でhp-toolbox が動作しません。

At Wed, 23 Sep 2009 09:35:53 +0900 (JST),
Araki Kan wrote:
>
> hp-toolbox が動作しません。
> hplip を apt でインストールしました。メッセージをみると動作に必要な
> PyQt も同時にインストールされたようですが、インストール後に起動してみ
> ると以下のメッセージが出てインストールできません。
>

> ----- error message -----
> HP Linux Imaging and Printing System (ver. 3.9.4b)
> HP Device Manager ver. 15.0
>
> Copyright (c) 2001-9 Hewlett-Packard Development Company, LP
> This software comes with ABSOLUTELY NO WARRANTY.
> This is free software, and you are welcome to distribute it
> under certain conditions. See COPYING file for more details.
>
> error: PyQt not installed. GUI not available. Exiting.
> warning: Qt/PyQt 3 initialization failed.
> error: hp-toolbox requires GUI support. Exiting.
> ----- error message -----
>
> hp-toolbox が PyQt を認識していないようですが、インストールは済んでい
> るはずなのでどのように認識させればよいのでしょうか。

$ python
Python 2.5.4 (r254:67916, May 7 2009, 00:46:02)
[GCC 4.1.2 (4.1.3 prerelease 20080708) (Vine Linux 4.1.2-21vl5)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import qt
Traceback (most recent call last):
File "<stdin>", line 1, in <module>
ImportError: No module named sip

ということで、PyQt-3.17.3-1vl5 に Requires: sip が抜けているための様です。

暫定的には、

$ sudo apt-get install sip

で hp-toolbox (hplip-gui-3.9.4b-3vl5) が起動すると思います。

PyQt の方はのちほど直しておきます。

--
MATSUBAYASHI, 'Shaolin' Kohji
Vice President & PPC Maintainer, Project Vine shaolin@xxxxx
Interaction Designer, Vine Caves Ltd. shaolin@xxxxx

GPG Fingerprint: 981C 4171 3044 DC45 6024 EA00 A413 F44D 8FB7 5B97


投稿者 xml-rpc : 2009年9月23日 10:16
役に立ちました?:
過去のフィードバック 平均:(0) 総合:(0) 投票回数:(0)
本記事へのTrackback: http://hoop.euqset.org/blog/mt-tb2006.cgi/88820
トラックバック
コメント
コメントする




画像の中に見える文字を入力してください。